Topic: Adding PHP 5.6 to Plesk Obsidian

Hi there. I have a new server running on Plesk obsidian on Centos 8.
As expected, it did not come with PHP 5.6..
So I found Remi's repository (merci beaucoup!!!)  and added the php56 and a few modules.

I found the files located in /opt/remi/...  how do I add this to plesk now?
PLESK has a php_handler command to add a new handler, but I suspect I need to move Remi's files to something that plesk likes, for example, under /opt/plesk/php/5.6/

Has anyone done anything similar?
Many thanks for any tips..

-turgut

Re: Adding PHP 5.6 to Plesk Obsidian

Sorry, but I don't know anything about plesk, and AFAIK, they only support their PHP stack

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Adding PHP 5.6 to Plesk Obsidian

OK many thanks - I will investigate and report back here.. I have some customers that rely on PHP 5.6 to work, so I *have* to get this to work smile  -t

Re: Adding PHP 5.6 to Plesk Obsidian

BTW, don't forget that PHP 5.6 have reached its end of life >2 years ago and is no more supported by the PHP project wink

https://www.php.net/eol.php

And even if
https://blog.remirepo.net/post/2019/02/ … .6-is-dead

This is a best effort only.

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

5 (edited by tkalfaoglu 2021-07-07 14:13:28)

Re: Adding PHP 5.6 to Plesk Obsidian

Remi wrote:

BTW, don't forget that PHP 5.6 have reached its end of life >2 years ago and is no more supported by the PHP project wink
This is a best effort only.

I am very grateful for your great effort!
I still have customers who cannot/will not upgrade their code, so I keep 5.x..

Btw, adding the new php was not hard to plesk..

a single command adds it to the plesk pull down list:

# plesk bin php_handler --add -displayname "PHP 5.6" -path /usr/bin/php56-cgi  -type cgi  -service php5-cgi  -clipath /usr/bin/php56 -phpini /etc/opt/remi/php56/php.ini

I did not try the fpm.. I assumed there would be a php56-fpm for that.. I left it as CGI.. It seems to work smile
-turgut

Re: Adding PHP 5.6 to Plesk Obsidian

tkalfaoglu wrote:

a single command adds it to the plesk pull down list:

# plesk bin php_handler --add -displayname "PHP 5.6" -path /usr/bin/php56-cgi  -type cgi  -service php5-cgi  -clipath /usr/bin/php56 -phpini /etc/opt/remi/php56/php.ini

I did not try the fpm.. I assumed there would be a php56-fpm for that.. I left it as CGI.. It seems to work smile
-turgut

Great smile

CGI is perhaps fine.... for archaeologists... wink

Definitively worth trying FPM and live in the 21th century.


From https://docs.plesk.com/en-US/onyx/cli-l … ers.72490/  (no tested)

plesk bin php_handler --add \
   -displayname  "PHP 5.6 FPM" \
   -path         /opt/remi/php56/root/usr/sbin/php-fpm \
   -clipath      /opt/remi/php56/root/usr/bin/php \
   -phpini       /etc/opt/remi/php56/php.ini \
   -type         fpm \
   -service      php56-php-fpm \
   -poold        /etc/opt/remi/php56/php-fpm.d
Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

7 (edited by tkalfaoglu 2021-07-08 07:28:20)

Re: Adding PHP 5.6 to Plesk Obsidian

Thank you so much -- that was great help.. I added the fastCGI with your help.

I was wondering how hard it would be to create a PHP 5.3 for you to your repository?

A few items that a customer's sites need old things like register_globals and magic_gpc.. It's really important for him and therefore me. these were extinct by 5.6 unfortunately..

Thank you so much!
-turgut

Re: Adding PHP 5.6 to Plesk Obsidian

> I was wondering how hard it would be to create a PHP 5.3 for you to your repository?

Even 5.6 don't build on 8 without some huge patch (at least for openssl)

Older version will require much more work/time, totally not sensible

If you really want to run this terrible old and unsecured version... use a docker image

Some years ago, I've described what I used for tests
https://developers.redhat.com/blog/2014 … -in-docker


P.S. pray than such app are not used on some internet public server...

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Adding PHP 5.6 to Plesk Obsidian

Many thanks - I never worked with docker images. I guess it's time to learn it smile

Re: Adding PHP 5.6 to Plesk Obsidian

LOL - I fixed it!   I have 5.3 CGI running now on plesk..
I just copied the entire /opt/plesk/5.3 folder from the old server to the new server..
It required a few compat- libraries, and voila, it works smile

I can't believe it worked despite the openssl changes.